package msgrpc

import (
	"testing"
)

func Test_SendMsg(t *testing.T) {

	site_id := "100064"
	dbname := "dev_tetele_net"
	business_id := "12"
	domainname := "http://dev6.tetele.net"
	msg_type := "order_create"
	data := map[string]string{"vv": "dd", "cc": "ss"}
	order_sn := ""
	memo := "testing"

	ret, err := SendMsg(site_id, dbname, business_id, domainname, msg_type, order_sn, memo, data)

	t.Log(ret)
	t.Log(err)
}

func Test_SendNotcie(t *testing.T) {

	site_id := "1058278"
	dbname := "shop_v2_org"
	domain := "http://dev6.tetele.net"
	user_id := "2"
	manager_id := "28"
	target_type := "product"
	target_id := "10"
	template_data := map[string]string{"order_name": "商品订单名1", "score_get": "10"}

	ret, err := SendNotcie(site_id, dbname, domain,user_id,manager_id,target_type,target_id,template_data)

	t.Log(ret)
	t.Log(err)
}
